nlmconv(1)

NAME
nlmconv - converts object code into an NLM

SYNOPSIS

nlmconv
    [-I bfdname | --input-target=bfdname] [-O bfdname | --output-target=bfdname] [-T headerfile | --header-file=headerfile] [-V | --version] [--help] infile outfile

DESCRIPTION
nlmconv converts the relocatable object file infile into the NetWare Loadable Module outfile, optionally reading headerfile for NLM header information. For instructions on writing the NLM command file language used in header files, see The NetWare Tool Maker Specification Manual, available from Novell, Inc. nlmconv currently works with i386 object files in COFF, ELF, or a.out format, and with SPARC object files in ELF or a.out format.
nlmconv uses the GNU Binary File Descriptor library to read infile.

OPTIONS

-I bfdname, --input-target=bfdname
    Consider the source file's object format to be bfdname, rather than attempting to deduce it.

-O bfdname, --output-target=bfdname
    Write the output file using the object format bfdname. nlmconv infers the output format based on the input format, e.g. for an i386 input file the output format is nlm32-i386.

-T headerfile, --header-file=headerfile
    Reads headerfile for NLM header information. For instructions on writing the NLM command file language used in header files, see The NetWare Tool Maker Specification Manual, available from Novell, Inc.

-V, --version
    Show the version number of nlmconv and exit.

-h, --help
    Show a summary of the options to nlmconv and exit.

SEE ALSO
`binutils' entry in info; The GNU Binary Utilities, Roland H. Pesch (June 1993).

COPYING
Copyright (c) 1993 Free Software Foundation, Inc.

Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

Permission is granted to copy and distribute modified versions of this manual under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.

Permission is granted to copy and distribute translations of this manual into another language, under the above conditions for modified versions, except that this permission notice may be included in translations approved by the Free Software Foundation instead of in the original English.